#!/usr/bin/ruby

require 'rubygems'
require 'dbi'
require 'cgi'

require 'conf'
db=$db

order = "-"
page="Blagues"
subpage="Top 10"

require 'header'
puts header_bdg()
cgi=$cgi

if cgi['order'] == "worst"
	order = "+"
	subpage="Worst"
end

require 'menu'
puts menu_bdg(page,subpage)

puts <<HTML_BDG
		<table id="milieu">
			<tr>
				<td id="gauche"><h1><a href="top.cgi?order=#{cgi['order']}">#{subpage}</a></h1>
HTML_BDG

i = 0
db.execute("SELECT * FROM blague").sort_by { |row| eval "#{order + "row" + '[5]'}" }.each { |row|
	unless i == 10
		unless row[1] == ""
		if i.modulo(2) == 1 
			parity = " impair"
		else
			parity = ""
		end
			i += 1
			puts <<HTML_BDG

					<div class="Blague#{parity}">
					<div class="titre"><h3>\##{row[0]} - #{CGI::escapeHTML(row[1])} <span class="vote">( #{row[5]} / #{row[6]} )</span></h3></div>
						<p class="contenu">#{CGI::escapeHTML(row[3]).gsub(/\r\n|\r|\n/,"<br />")}</p><p class="by">post&eacute; par #{CGI::escapeHTML(row[2])} le #{row[4]}</p>
					</div>
					
					
HTML_BDG
		end
	end
	}
	
require 'infos'
puts infos_bdg()
	
puts <<HTML_BDG
			</tr>
		</table>
	</body>
</html>
HTML_BDG
